libdap::Float32 Class Reference

Holds a 32-bit floating point value. More...

`#include <Float32.h>`

Inheritance diagram for libdap::Float32:

## Public Member Functions

unsigned int | buf2val (void **val) override
void | compute_checksum (Crc32 &checksum) override
bool | d4_ops (BaseType *b, int op) override
void | deserialize (D4StreamUnMarshaller &um, DMR &dmr) override
bool | deserialize (UnMarshaller &um, DDS *dds, bool reuse=false) override
void | dump (ostream &strm) const override
| dumps information about this object
| Float32 (const Float32 &copy_from)
| Float32 (const string &n)
| Float32 (const string &n, const string &d)
Float32 & | operator= (const Float32 &rhs)
bool | ops (BaseType *b, int op) override
void | print_val (FILE *out, string space="", bool print_decl_p=true) override
void | print_val (ostream &out, string space="", bool print_decl_p=true) override
BaseType * | ptr_duplicate () override
bool | serialize (ConstraintEvaluator &eval, DDS &dds, Marshaller &m, bool ce_eval=true) override
void | serialize (D4StreamMarshaller &m, DMR &dmr, bool filter=false) override
| Serialize an Int8.
virtual bool | set_value (dods_float32 f)
unsigned int | val2buf (void *val, bool reuse=false) override
virtual dods_float32 | value () const
unsigned int | width (bool=false) const override
int64_t | width_ll (bool=false) const override

## Protected Attributes

dods_float32 | d_buf

## Detailed Description

Holds a 32-bit floating point value.

See also
  BaseType

Definition at line 59 of file Float32.h.

## Constructor & Destructor Documentation

## Float32() [1/3]

libdap::Float32::Float32 | ( | const string & | n | ) |

The Float32 constructor accepts only the name of the variable. The name may be omitted, which will create a nameless variable. This may be adequate for some applications.

Parameters

  n | A string containing the name of the variable to be created.

Definition at line 85 of file Float32.cc.

## Float32() [2/3]

libdap::Float32::Float32 | ( | const string & | n,
|  | const string & | d )

The Float32 server-side constructor accepts the name of the variable and the dataset name from which this instance is created.

Parameters

  n | A string containing the name of the variable to be created.
  d | A string containing the name of the dataset from which this variable is created

Definition at line 94 of file Float32.cc.

## Float32() [3/3]

libdap::Float32::Float32 | ( | const Float32 & | copy_from | ) |

Definition at line 96 of file Float32.cc.

## ~Float32()

virtual libdap::Float32::~Float32 | ( |  | ) |

inline virtual

Definition at line 71 of file Float32.h.

## Member Function Documentation

## buf2val()

unsigned int libdap::Float32::buf2val | ( | void ** | val | ) |

override

Definition at line 166 of file Float32.cc.

## compute_checksum()

void libdap::Float32::compute_checksum | ( | Crc32 & | checksum | ) |

override

Definition at line 131 of file Float32.cc.

## d4_ops()

bool libdap::Float32::d4_ops | ( | BaseType * | b,
|  | int | op )

override

See also
  BaseType::d4_ops(BaseType *, int)

Definition at line 232 of file Float32.cc.

## deserialize() [1/2]

void libdap::Float32::deserialize | ( | D4StreamUnMarshaller & | um,
|  | DMR & | dmr )

override

Definition at line 150 of file Float32.cc.

## deserialize() [2/2]

bool libdap::Float32::deserialize | ( | UnMarshaller & | um,
|  | DDS * | dds,
|  | bool | reuse = false )

override

Definition at line 125 of file Float32.cc.

## dump()

void libdap::Float32::dump | ( | ostream & | strm | ) | const

override

dumps information about this object

Displays the pointer value of this instance and information about this instance.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Definition at line 274 of file Float32.cc.

## operator=()

Float32 & libdap::Float32::operator= | ( | const Float32 & | rhs | ) |

Definition at line 100 of file Float32.cc.

## ops()

bool libdap::Float32::ops | ( | BaseType * | b,
|  | int | op )

override

Definition at line 211 of file Float32.cc.

## print_val() [1/2]

void libdap::Float32::print_val | ( | FILE * | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 194 of file Float32.cc.

## print_val() [2/2]

void libdap::Float32::print_val | ( | ostream & | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 200 of file Float32.cc.

## ptr_duplicate()

BaseType * libdap::Float32::ptr_duplicate | ( |  | ) |

override

Definition at line 98 of file Float32.cc.

## serialize() [1/2]

bool libdap::Float32::serialize | ( | ConstraintEvaluator & | eval,
|  | DDS & | dds,
|  | Marshaller & | m,
|  | bool | ce_eval = true )

override

Definition at line 108 of file Float32.cc.

## serialize() [2/2]

void libdap::Float32::serialize | ( | D4StreamMarshaller & | m,
|  | DMR & | dmr,
|  | bool | filter = false )

override

Serialize an Int8.

Parameters

  m |
  dmr | Unused
  eval | Unused
  filter | Unused

Exceptions

  Error | is thrown if the value needs to be read and that operation fails.

Definition at line 143 of file Float32.cc.

## set_value()

bool libdap::Float32::set_value | ( | dods_float32 | f | ) |

virtual

Definition at line 180 of file Float32.cc.

## val2buf()

unsigned int libdap::Float32::val2buf | ( | void * | val,
|  | bool | reuse = false )

override

Definition at line 152 of file Float32.cc.

## value()

dods_float32 libdap::Float32::value | ( |  | ) | const

virtual

Return the value of the Float32 held by this instance. This is more convenient than the general interface provided by buf2val, but its use requires a cast from BaseType to Float32.

Returns
  The dods_float32 value.

Definition at line 192 of file Float32.cc.

## width()

unsigned int libdap::Float32::width | ( | bool | = false | ) | const

inline override

Definition at line 75 of file Float32.h.

## width_ll()

int64_t libdap::Float32::width_ll | ( | bool | = false | ) | const

inline override

Definition at line 77 of file Float32.h.

## Member Data Documentation

## d_buf

dods_float32 libdap::Float32::d_buf

protected

Definition at line 61 of file Float32.h.

The documentation for this class was generated from the following files:

- Float32.h
- Float32.cc